import t from "../formatErrorMessage.js";
import { createSelectorCreator as s, lruMemoize as i } from "../../../../../../reselect@5.1.1/node_modules/reselect/dist/reselect.js";
s({
  memoize: i,
  memoizeOptions: {
    maxSize: 1,
    equalityCheck: Object.is
  }
});
const u = (e, m, c, n, l, p, ...o) => {
  if (o.length > 0)
    throw new Error(process.env.NODE_ENV !== "production" ? "Unsupported number of selectors" : t(1));
  let r;
  if (e)
    r = e;
  else
    throw new Error("Missing arguments");
  return r;
};
export {
  u as createSelector
};
